note
	description: "Summary description for {ARRAY_UTILITIES}."
	author: "Jackie Wang"
	date: "$Date$"
	revision: "$Revision$"

class
	LINEAR_CONTAINER

create
	make

feature -- Attributes
	a: ARRAY[STRING]

feature -- Queries
	count: INTEGER
		do
			Result := a.count
		end

	get (i: INTEGER): STRING
		do
			Result := a[i]
		end

feature -- Commands
	make
		do
			create a.make_empty
		end

	update (i: INTEGER; v: STRING)
		do

		ensure
			others_unchanged:
				across
					1 |..| count as j
				all
					-- This line has compilation erro: Unknown identifier j
--					j.item /= i implies old get(j.item) ~ get(j.item)
					-- This line compiles, but you need to make a decision
					-- whether it should be (old Current.twin) or (old Current.deep_twin) instead.
					j.item /= i implies (old Current).get(j.item) ~ get(j.item)
				end
		end
end
